from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XListEntryListener(XEventListener, Protocol):
    def entryChanged(self, Source: ListEntryEvent) -> None: ...
    def entryRangeInserted(self, Source: ListEntryEvent) -> None: ...
    def entryRangeRemoved(self, Source: ListEntryEvent) -> None: ...
    def allEntriesChanged(self, Source: EventObject) -> None: ...
